LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XItemListListener Interface Reference

describes a listener for changes in an item list More...

`import"XItemListListener.idl";`

Inheritance diagram for XItemListListener:

## Public Member Functions
void | listItemInserted ([in] ItemListEvent Event)
| is called when an item is inserted into the list More...
void | listItemRemoved ([in] ItemListEvent Event)
| is called when an item is removed from the list More...
void | listItemModified ([in] ItemListEvent Event)
| is called when an item in the list is modified, i.e. More...
void | allItemsRemoved ([in] ::com::sun::star::lang::EventObject Event)
| is called when the list has been completely cleared, i.e. More...
void | itemListChanged ([in] ::com::sun::star::lang::EventObject Event)
| is called when the changes to the item list which occurred are too complex to be notified in single events. More...
Public Member Functions inherited from XEventListener
void | disposing ([in] com::sun::star::lang::EventObject Source)
| gets called when the broadcaster is about to be disposed. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

describes a listener for changes in an item list

See also
  XListItems

## Member Function Documentation

## ◆ allItemsRemoved()

void allItemsRemoved | ( | [in] ::com::sun::star::lang::EventObject | Event | ) |

is called when the list has been completely cleared, i.e.

after an invocation of XItemList::removeAllItems()

## ◆ itemListChanged()

void itemListChanged | ( | [in] ::com::sun::star::lang::EventObject | Event | ) |

is called when the changes to the item list which occurred are too complex to be notified in single events.

Consumers of this event should discard their cached information about the current item list, and completely refresh it from the XItemList's current state.

## ◆ listItemInserted()

void listItemInserted | ( | [in] ItemListEvent | Event | ) |

is called when an item is inserted into the list

## ◆ listItemModified()

void listItemModified | ( | [in] ItemListEvent | Event | ) |

is called when an item in the list is modified, i.e.

its text or image changed

## ◆ listItemRemoved()

void listItemRemoved | ( | [in] ItemListEvent | Event | ) |

is called when an item is removed from the list

The documentation for this interface was generated from the following file:

- com/sun/star/awt/XItemListListener.idl